
Extended Fields - Support #2161

Internal error On New Issues tab

06 Mar 2013 17:23 - Christi Cummings

Status: In Progress Start date: 06 Mar 2013

Priority: Critical Due date:  

Assignee: Andriy Lesyuk % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Redmine version:  External issue:  

Description

Currently cannot input any new issues with this plugin

below is what the log reads.

Completed 200 OK in 1172ms (Views: 937.4ms | ActiveRecord: 78.1ms)

Started GET "/redmine/custom_fields/new?type=IssueCustomField" for 127.0.0.1 at 2013-03-06 11:04:5

1 -0600

Processing by CustomFieldsController#new as HTML

  Parameters: {"type"=>"IssueCustomField"}

  Current user: christi (id=1)

  Rendered plugins/extended_fields/app/views/custom_fields/_extended.html.erb (15.6ms)

  Rendered custom_fields/_form.html.erb (31.2ms)

  Rendered custom_fields/new.html.erb within layouts/admin (46.9ms)

Completed 500 Internal Server Error in 47ms

ActionView::Template::Error (undefined method `hint' for #<IssueCustomField:0x2995020>):

    21: 

    22: <% end %>

    23: 

    24: <p><%= form.text_field(:hint, :size => 50) %></p>

    25: 

    26: <!-- Rails 3 + jQuery -->

    27: <% unless defined? observe_field %>

  lib/redmine/views/labelled_form_builder.rb:31:in `text_field'

  lib/redmine/hook.rb:111:in `block in render_on'

  lib/redmine/hook.rb:61:in `block (2 levels) in call_hook'

  lib/redmine/hook.rb:61:in `each'

  lib/redmine/hook.rb:61:in `block in call_hook'

  lib/redmine/hook.rb:58:in `tap'

  lib/redmine/hook.rb:58:in `call_hook'

  lib/redmine/hook.rb:158:in `call_hook'

  app/views/custom_fields/_form.html.erb:29:in `_app_views_custom_fields__form_html_erb___72348269

4_23243244'

  app/views/custom_fields/new.html.erb:6:in `block in _app_views_custom_fields_new_html_erb___7278

31247_21869232'

  app/helpers/application_helper.rb:990:in `labelled_form_for'

  app/views/custom_fields/new.html.erb:5:in `_app_views_custom_fields_new_html_erb___727831247_218

69232'

Related issues:

Related to Extended Fields - Bug #2299: 500 internal error on 2.4.5 Won't Fix 03 Jun 2014

History

#1 - 06 Mar 2013 17:28 - Christi Cummings

I am sorry this happens when I go to create a custom field under admin

#2 - 25 May 2013 21:57 - Andriy Lesyuk

- Status changed from New to Incomplete
- Assignee set to Andriy Lesyuk

- Target version set to 0.2.2

I’m very sorry for the late reply.

Looks like you have not executed rake redmine:plugins:migrate RAILS_ENV=production during installation... Have you?

#3 - 30 Jun 2013 18:40 - Andriy Lesyuk

- Target version deleted (0.2.2)

#4 - 30 Jun 2013 18:48 - Andriy Lesyuk

- Tracker changed from Bug to Support

#5 - 11 Jun 2014 21:50 - Andriy Lesyuk

Christi, are you using PostgreSQL, maybe?

#6 - 12 Jun 2014 12:03 - Christi Cummings

We use the Bitnami download of Redmine.

#7 - 13 Jun 2014 13:57 - Cedric Courant

Hello, i’ve got the same behavior.

By the way, i tested with the bitnami stack 2.4.3, 2.5.0, 2.5.1 and got the same error after upgrading the database and restart the server.

More over after the plugin installed, in the admin panel, the project and user pages are no longer available due to an sql query on a user_listing table.

Hope that can be helpful to debug....

#8 - 13 Jun 2014 14:32 - Cedric Courant

I noticed that the database name is bitnami_redmine in the stack and not redmine instead of.

The db migration is not performing correctly...

#9 - 13 Jun 2014 15:19 - Cedric Courant

redmine:plugins RAILS_ENV=production works perfectly in fact

#10 - 13 Jun 2014 15:20 - Andriy Lesyuk

- Status changed from Incomplete to In Progress

Weird... DB migration script is rather simple... Not sure why it can fail. Will research more.

#11 - 13 Jun 2014 15:21 - Andriy Lesyuk

Cedric Courant wrote:

redmine:plugins RAILS_ENV=production works perfectly in fact

 

You mean: rake redmine:plugins:migrate RAILS_ENV=production ?
http://projects.andriylesyuk.com/users/774
http://projects.andriylesyuk.com/users/spherx


#12 - 16 Jun 2014 07:38 - Cedric Courant

actually this is the command given by the bitnami redmine website and it works, however maybe the one you provided work as well but i didn’t test it...
